import os
from unittest import TestCase

import translations


class HelpTestCase(TestCase):
    def __init__(self, *args):
        self.translations = translations.Translations()
        TestCase.__init__(self, *args)

    def test_doc_files_size_not_0(self):
        sizes = [os.stat(fn).st_size
                 for fn in self.translations.documents.docs]
        self.assertNotIn(0, sizes)

    def test_po_files_size_not_0(self):
        sizes = [os.stat(fn).st_size
                 for fn in self.translations.po.langs]
        self.assertNotIn(0, sizes)

    def test_markdown_files(self):
        fns = self.translations.documents.find_docs()
        checked_fns = [translations.verify_markdown_file(fn)
                       for fn in fns]
        self.assertEqual(len(fns), checked_fns.count(True))
